/*
 * ASTProgram.h
 *
 *  Created on: Nov 5, 2012
 *      Author: attero
 */

#ifndef PROGRAMNODE_H_
#define PROGRAMNODE_H_
#include <iostream>
#include "ASTNode.h"
#include "ASTStatement.h"

class ProgramNode : public ASTNode {
public:
	ProgramNode();
	std::string debug();
	void add_statement(ASTStatement * statement);
	virtual ~ProgramNode();
	virtual void execute();
	virtual void execute_last();
};

#endif /* PROGRAMNODE_H_ */
